ApiCredential requirements
Get connection form
Get the user connection form fields for a server. Returns credential fields users need to fill in to connect.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Path Parameters
server_id*string
Format
uuidCookie Parameters
access_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/connection-form"{
"server_id": "string",
"server_name": "string",
"description": "string",
"fields": [
{
"name": "string",
"kind": "env_var",
"description": "string",
"required": true,
"sensitive": true,
"example_format": "string",
"help_url": "string"
}
],
"help_text": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}